# The documentation and tests need furo.  But to build furo at all, we need
# this package.
%bcond_with docs

%global prerel  b2

%global pypi_name sphinx-basic-ng
%global srcname sphinx_basic_ng
%global pypi_version 1.0.0%{?prerel}

Name:           python-%{pypi_name}
Summary:        Modernized skeleton for Sphinx themes
Version:        1.0.0%{?prerel:~%prerel}
Release:        %mkrel 2
License:        MIT
Group:          Development/Python
URL:            https://sphinx-basic-ng.readthedocs.io/
Source:         %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
A modernized skeleton for Sphinx themes.

%package     -n python3-%{pypi_name}
Summary:        Modernized skeleton for Sphinx themes

%description -n python3-%{pypi_name}
A modernized skeleton for Sphinx themes.

%prep
%autosetup -p1 -n %{srcname}-%{pypi_version}

# Use local objects.inv for intersphinx
sed -e 's|\("https://docs\.python\.org/3", \)None|\1"%{_docdir}/python3-docs/html/objects.inv"|' \
    -e 's|\("https://www\.sphinx-doc\.org/en/master", \)None|\1"%{_docdir}/python-sphinx-doc/html/objects.inv"|' \
    -i docs/conf.py

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs}

%build
%pyproject_wheel

%if %{with docs}
# Build documentation
PYTHONPATH=$PWD/src sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files -l %{srcname}

%check
# The nox tests require network access, so we do not run them
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%if %{with docs}
%doc html
%endif



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.0~b2-2.mga10
+ Revision: 2236273
- Mageia 10 Mass Rebuild

* Sat Feb 22 2025 wally <wally> 1.0.0~b2-1.mga10
+ Revision: 2150763
- new version 1.0.0b2
- rebuild for python3.13

* Fri Dec 08 2023 wally <wally> 1.0.0~b1-2.mga10
+ Revision: 2015627
- rebuild for py3.12

* Sun Jan 15 2023 wally <wally> 1.0.0~b1-1.mga9
+ Revision: 1933486
- new version 1.0.0b1

* Thu Sep 22 2022 guillomovitch <guillomovitch> 0.0.1-0.a12.mga9
+ Revision: 1891686
- imported package python-sphinx-basic-ng

